import conditionBase from '../condition-object-base'

export default {
  ...conditionBase,
  key: 'generationQueryCode',
  title: '类别',
  getList: function(param, $vue) {
    if ($vue.localData.categories?.length) {
      return Promise.resolve($vue.localData.categories)
    } else {
      return Promise.resolve([])
    }
  }
}
